/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package example.sysprops;

import org.apache.ws.resource.ResourceContext;

/**
 * @author Sal Campana
 */
public class JavaSysPropsService
   extends AbstractJavaSysPropsService
{
   private ResourceContext m_resourceContext;

   /**
    * Creates a new {@link JavaSysPropsService} object.
    *
    * @param ctx DOCUMENT_ME
    */
   public JavaSysPropsService( ResourceContext ctx )
   {
      m_resourceContext = ctx;
      init(  );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public ResourceContext getResourceContext(  )
   {
      return m_resourceContext;
   }
}